/*
 *Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.
 *
 * Copyright IBM Corporation 2003, 2004. All Rights Reserved. 
 */

package testobject.eclipse;

import com.rational.test.ft.object.interfaces.TestObject;

/**
 * This class provides a TestObject for the Eclipse 
 * (see http://www.eclipse.org/) shell WorkbenchWindow.
 */
public class WorkbenchWindowTestObject extends TestObject 
{
	public WorkbenchWindowTestObject(TestObject obj)
	{
		super (obj);
	}

	public WorkbenchPageTestObject[] getPages()
	{
	    TestObject[] pages = (TestObject[])invoke("getPages");
	    if (pages == null)
	    	return null;
	    int n = pages.length;
	    if (n == 0)
	    	return null;
	    	
	    WorkbenchPageTestObject[] wbpages = new WorkbenchPageTestObject[n];
	    for (int i = 0; i < n; ++i)
	    	wbpages[i] = new WorkbenchPageTestObject(pages[i]);
	    return wbpages;
	}

}

